[arch-commits] Commit in ed/trunk (PKGBUILD ed.install)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jun 14 13:36:31 EDT 2009


    Date: Sunday, June 14, 2009 @ 13:36:31
  Author: andyrtr
Revision: 42467

upgpkg: ed 1.3-1
    new version 1.3, removed texinfo dep

Modified:
  ed/trunk/PKGBUILD
  ed/trunk/ed.install

------------+
 PKGBUILD   |    6 +++---
 ed.install |    3 +++
 2 files changed, 6 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-14 17:30:24 UTC (rev 42466)
+++ PKGBUILD	2009-06-14 17:36:31 UTC (rev 42467)
@@ -2,7 +2,7 @@
 # Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=ed
-pkgver=1.2
+pkgver=1.3
 pkgrel=1
 pkgdesc="A POSIX-compliant line editor"
 arch=('i686' 'x86_64')
@@ -10,10 +10,10 @@
 url="http://www.gnu.org/software/ed/ed.html"
 install=ed.install
 groups=('base-devel')
-depends=('glibc' 'texinfo')
+depends=('glibc')
 options=('!emptydirs')
 source=(ftp://ftp.gnu.org/gnu/ed/${pkgname}-${pkgver}.tar.gz)
-md5sums=('3d42ac815b2dfd9c82a89dbd03151519')
+md5sums=('f56d8447debe5e9b537a97b7b652a651')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}

Modified: ed.install
===================================================================
--- ed.install	2009-06-14 17:30:24 UTC (rev 42466)
+++ ed.install	2009-06-14 17:36:31 UTC (rev 42467)
@@ -2,6 +2,8 @@
 filelist=(ed.info red.info)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
+
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
@@ -12,6 +14,7 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done



More information about the arch-commits mailing list